#include <iostream>

using namespace std;

int main()
{
    int n, m, z, a=0;
    bool l[10000],k[20000];
    cin >> n >> m;
    for (int i=0;i<m;i++){
        cin >> z;
        l[z]=true;
    }
    for (int i=n;i>0;i--){
        if (l[i]!=true){
            for (int j=i;j>0;j--){
                if (l[j]!=true){
                    k[i+j]=true;
                }
            }
        }
    }
    for (int i=0;i<n*2+1;i++){
        if (k[i]==true){
            a++;
        }
    }
    cout << a;
    return 0;
}

